/**
 *   \file common.h
 *   \brief Déclaration pour la (dé)compression d’images
 */

#ifndef COMMON_H
#define COMMON_H

#include "ppm.h"

/// Teste l’éligibilité d’un pixel à une zone
bool sameColor(Pixel *, Zone *);
/// Ajoute un pixel et ses pixels connexes à une zone
void addPixelToSelectedZone(Image *t_img, int t_idx, Zone *t_zone);
void chooseZoneForPixel(Image *t_img, int t_idx, darray *zones);
darray *imgToZones(Image *t_img);
void compress(const char *);

#endif /* COMMON_H */
